#!/bin/zsh

# Check if the script is run as root
if [[ $EUID -eq 0 ]]; then
    echo "Run this script as a normal user, not as root."
    exit 1
fi

echo "Choose an option:"
echo "1. Full (512GB+ storage models)"
echo "2. Lightweight (256GB Storage models)"

printf "Enter your choice (1 or 2): "
read choice

case $choice in
    1)
        echo "[ST] FULL SELECTED"
        chmod +x full.zsh
        ./full.zsh
        ;;
    2)
        echo "[ST] LIGHTWEIGHT SELECTED"
        chmod +x lite.zsh
        ./lite.zsh
        ;;
    *)
        echo "[ST] [ERR] Not a valid selection! Exiting..."
        exit 1
        ;;
esac
